/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package resume

import (
	e "simrs-vx/internal/domain/main-entities/resume"

	erc "simrs-vx/internal/domain/references/common"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Resume) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
		data.Status_Code = erc.DVCNew
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Doctor_Code = inputSrc.AuthInfo.Doctor_Code
	data.Value = inputSrc.Value
}
